### Method

# Gtk.CellArea.get_cell_at_position

#### Declaration [src]

    GtkCellRenderer*
    gtk_cell_area_get_cell_at_position (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      int x,
      int y,
      GdkRectangle* alloc_area
    )

#### Description [src]

Gets the `GtkCellRenderer` at `x` and `y` coordinates inside `area` and optionally returns the full cell allocation for it inside `cell_area`.

#### Parameters

`context` | `GtkCellAreaContext`
| the `GtkCellAreaContext` used to hold sizes for `area`.
| Ownership is not transferred to the callee
`widget` | `GtkWidget`
| the `GtkWidget` that `area` is rendering on
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the whole allocated area for `area` in `widget` for this row
| Ownership is not transferred to the callee
`x` | `int`
| the x position
`y` | `int`
| the y position
`alloc_area` | `GdkRectangle*`
| where to store the inner allocated area of the returned cell renderer, or `NULL`.
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkCellRenderer`
the `GtkCellRenderer` at `x` and `y`.
Ownership is not transferred to the caller